@echo off
color 1f
echo E2B .txt File Maker
echo ===================
echo.
echo.
if "%~n1"=="" echo Usage: Please Drag and Drop a payload file onto this file to make a .txt file. && echo. && pause && goto :EOF

set FILE="%~dpn1.txt"
echo File = %FILE%
echo.
echo ENTER MENU TEXT
echo ===============
echo.
echo Hotkey tip: Type ^^^^ where one ^^ is required
echo.

echo Examples:
echo             Ubuntu 32-bit v1.2.1
echo             ^^^^Ctrl+U Ubuntu [Ctrl+U]    (sets hotkey of Ctrl+U)
echo             ^^^^U Ubuntu [U]              (sets hotkey of U)
echo.
echo.
set /p MTEXT=Menu text : 

echo.
echo.
echo.
echo ENTER HELP TEXT
echo ===============
echo.
echo Examples:
echo             Run Ubuntu from an ISO
echo             Run Ubuntu from an ISO.\n Select the 2nd menu entry\n to install Ubuntu.
echo.
set /p HTEXT=Help text : 

echo.
echo.
echo %FILE% will contain the line:
echo.
echo title %MTEXT%\n %HTEXT% 
echo.
echo.
set ask=
echo Press ENTER or Y to confirm...
echo.
set /p ask=OK to write .txt file ([Y]/N) : 

if /i "%ask%"=="N" goto :EOF
if "%ask%"=="" goto :SS
if /i not  "%ask%"=="Y" goto :EOF


:SS
if exist %FILE% del %FILE%
echo title %MTEXT%\n %HTEXT% > %FILE%
